#!/usr/bin/tclsh
#
# Copyright (c) 1999-2001, ``vman'' (moopowah@yahoo.com)
# All rights reserved.  Please refer to the LICENSE file
# included in vCheck's package for more information, or
# the homepage http://vware.hypermart.net.
#
#	Description:
#
#		The name says it all -- this script queries the incomplete releases
#		table and lists which files are missing.
#
set listIncompletesRevision	"Jan/24/2001"
#
################################################################################




source "/bin/vcheck/dbLogin.tcl"

vcheck:db:query "SELECT fullDir, IncompleteReleases.releaseId FROM IncompleteReleases LEFT JOIN Releases USING (releaseId) GROUP BY IncompleteReleases.releaseId;"
foreach {dir rid} [join $rows] {
	vcheck:db:query "SELECT fileName FROM IncompleteReleases WHERE releaseId=$rid;"
	puts "\nRelease: $dir"
	puts "Missing [llength $rows] files: $rows"
}

vcheck:db:safeExit 0

